# Copyright (c) 2007 SIEGE Development Team
# All rights reserved.
#
# This file is part of libSIEGE.
#
# This software is copyrighted work licensed under the terms of the
# 2-clause BSD license. Please consult the file "license.txt" for
# details.
#
# If you did not recieve the file with this program, please email
# Tim Chas <darkuranium@gmail.com>.

from siege.common cimport *

cdef extern from "siege/core/window.h":
    SGbool sgWindowOpen(SGuint width, SGuint height, SGenum bpp, SGenum flags)
    SGbool sgWindowIsOpened()
    void sgWindowClose()
    
    void sgWindowSetTitle(char* title)
    char* sgWindowGetTitle()
    
    void sgWindowSetSize(SGuint width, SGuint height)
    void sgWindowGetSize(SGuint* width, SGuint* height)
    
    void sgWindowSetWidth(SGuint width)
    SGuint sgWindowGetWidth()
    
    void sgWindowSetHeight(SGuint height)
    SGuint sgWindowGetHeight()
    
    void sgWindowSwapBuffers()
